Subject: Re: bug#19731: 24.4; /dev/null is deleted by tramp-sh.el

From: crocket <[email-masked]>
Date: Fri, 30 Jan 2015 18:41:09 +0900

I think there are at least two solutions to tramp-sh.el problem.

1) Change the shell to zsh
2) unset $HISTFILE and set HISTFILESIZE to 0 instead of setting
HISTFILE to /dev/null
3) etc...

On Fri, Jan 30, 2015 at 2:18 PM, crocket <[email-masked]> wrote:
> According to https://bbs.archlinux.org/viewtopic.php?pid=1397412#p1397412
> , if HISTFILE=/dev/null is set as an environment variable, /dev/null
> can be deleted and replaced by a regular file with permission 600.
>
> If I fiddled with magit over tramp sudo method for a while and exited
> emacs, I see /dev/null replaced with a regular file with permission
> 600.
>
> After some inspections, I found HISTFILE=/dev/null in tramp-sh.el.
>
> Could tramp-sh.el be the cause of /dev/null problem?
>
> In GNU Emacs 24.4.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.14.7)
>  of 2015-01-18 on bisson
> Windowing system distributor `The X.Org Foundation', version 11.0.11603000
> Configured using:
>  `configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
>  --localstatedir=/var --with-x-toolkit=gtk3 --with-xft
>  'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong
>  --param=ssp-buffer-size=4' CPPFLAGS=-D_FORTIFY_SOURCE=2
>  LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro'
>
> Important settings:
>   value of $LANG: en_US.utf8
>   value of $XMODIFIERS: @im=ibus
>   locale-coding-system: utf-8-unix
>
> Major mode: Fundamental
>
> Minor modes in effect:
>   tooltip-mode: t
>   electric-indent-mode: t
>   mouse-wheel-mode: t
>   tool-bar-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   blink-cursor-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   buffer-read-only: t
>   line-number-mode: t
>   transient-mark-mode: t
>
> Recent input:
> <help-echo> C-x C-f <backspace> C-g M-x r e p o r t
> <tab> <return>
>
> Recent messages:
> For information about GNU Emacs and the GNU system, type C-h C-a.
> Quit
>
> Load-path shadows:
> None found.
>
> Features:
> (shadow sort gnus-util mail-extr emacsbug message idna format-spec
> rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
> mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
> mm-util help-fns mail-prsvr mail-utils info easymenu package epg-config
> time-date tooltip electric uniquify ediff-hook vc-hooks lisp-float-type
> mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt fringe
> tabulated-list newcomment lisp-mode prog-mode register page menu-bar
> rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
> facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
> tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
> czech european ethiopic indian cyrillic chinese case-table epa-hook
> jka-cmpr-hook help simple abbrev minibuffer nadvice loaddefs button
> faces cus-face macroexp files text-properties overlay sha1 md5 base64
> format env code-pages mule custom widget hashtable-print-readable
> backquote make-network-process dbusbind gfilenotify dynamic-setting
> system-font-setting font-render-setting move-toolbar gtk x-toolkit x
> multi-tty emacs)
>
> Memory information:
> ((conses 16 113852 6530)
>  (symbols 48 20679 0)
>  (miscs 40 87 124)
>  (strings 32 22379 4312)
>  (string-bytes 1 542144)
>  (vectors 16 12069)
>  (vector-slots 8 418986 5747)
>  (floats 8 66 65)
>  (intervals 56 224 19)
>  (buffers 960 12)
>  (heap 1024 50731 994))
>
>
>